Only in sid-20060218/bfd/doc: bfd.info
Only in sid-20060218/bfd/po: da.gmo
Only in sid-20060218/bfd/po: es.gmo
Only in sid-20060218/bfd/po: fr.gmo
Only in sid-20060218/bfd/po: ja.gmo
Only in sid-20060218/bfd/po: ro.gmo
Only in sid-20060218/bfd/po: rw.gmo
Only in sid-20060218/bfd/po: sv.gmo
Only in sid-20060218/bfd/po: tr.gmo
Only in sid-20060218/bfd/po: vi.gmo
Only in sid-20060218/bfd/po: zh_CN.gmo
diff -urbB src/libiberty/Makefile.in sid-20060218/libiberty/Makefile.in
--- src/libiberty/Makefile.in	2005-09-27 05:02:59.000000000 +0800
+++ sid-20060218/libiberty/Makefile.in	2006-02-22 10:52:58.428882700 +0800
@@ -65,7 +65,7 @@
 MAKEINFO = @MAKEINFO@
 PERL = @PERL@
 
-PICFLAG =
+PICFLAG = -fPIC
 
 MAKEOVERRIDES =
 
Only in sid-20060218/opcodes/po: da.gmo
Only in sid-20060218/opcodes/po: de.gmo
Only in sid-20060218/opcodes/po: es.gmo
Only in sid-20060218/opcodes/po: fi.gmo
Only in sid-20060218/opcodes/po: fr.gmo
Only in sid-20060218/opcodes/po: ga.gmo
Only in sid-20060218/opcodes/po: id.gmo
Only in sid-20060218/opcodes/po: nl.gmo
Only in sid-20060218/opcodes/po: pt_BR.gmo
Only in sid-20060218/opcodes/po: ro.gmo
Only in sid-20060218/opcodes/po: sv.gmo
Only in sid-20060218/opcodes/po: tr.gmo
Only in sid-20060218/opcodes/po: vi.gmo
Only in sid-20060218/opcodes/po: zh_CN.gmo
diff -urbB src/sid/component/audio/components.cxx sid-20060218/sid/component/audio/components.cxx
--- src/sid/component/audio/components.cxx	2000-12-08 03:30:46.000000000 +0800
+++ sid-20060218/sid/component/audio/components.cxx	2006-02-22 10:25:31.402025200 +0800
@@ -77,9 +77,9 @@
 
 
 // static object
-extern const component_library audio_component_library;
+DLLEXPORT extern const component_library audio_component_library;
 
-const component_library audio_component_library DLLEXPORT = 
+const component_library audio_component_library =
 {
   COMPONENT_LIBRARY_MAGIC,
   & compAudioListTypes, 
diff -urbB src/sid/component/bochs/components.cxx sid-20060218/sid/component/bochs/components.cxx
--- src/sid/component/bochs/components.cxx	2002-03-05 07:33:01.000000000 +0800
+++ sid-20060218/sid/component/bochs/components.cxx	2006-02-22 10:23:18.866663800 +0800
@@ -183,9 +183,9 @@
 
 
 // static object
-extern const component_library x86_component_library;
+DLLEXPORT extern const component_library x86_component_library;
 
-const component_library x86_component_library DLLEXPORT = 
+const component_library x86_component_library =
 {
   COMPONENT_LIBRARY_MAGIC,
   & compX86ListTypes, 
diff -urbB src/sid/component/cache/cache.cxx sid-20060218/sid/component/cache/cache.cxx
--- src/sid/component/cache/cache.cxx	2005-05-10 23:41:05.000000000 +0800
+++ sid-20060218/sid/component/cache/cache.cxx	2006-02-22 10:29:54.770974600 +0800
@@ -1046,8 +1046,6 @@
 }
 
 
-extern const sid::component_library cache_component_library;
-
 static vector<string>
 CacheListTypes ()
 {
@@ -1210,7 +1208,9 @@
   delete dynamic_cast<cache_component*>(c);
 }
 
-const sid::component_library cache_component_library DLLEXPORT =
+DLLEXPORT extern const sid::component_library cache_component_library;
+
+const sid::component_library cache_component_library =
 {
   sid::COMPONENT_LIBRARY_MAGIC,
   &CacheListTypes,
diff -urbB src/sid/component/cfgroot/compConfig.cxx sid-20060218/sid/component/cfgroot/compConfig.cxx
--- src/sid/component/cfgroot/compConfig.cxx	2005-08-24 05:08:12.000000000 +0800
+++ sid-20060218/sid/component/cfgroot/compConfig.cxx	2006-02-22 10:31:06.089331400 +0800
@@ -1769,9 +1769,9 @@
 
 
 // static object
-extern const component_library config_component_library;
+DLLEXPORT extern const component_library config_component_library;
 
-const component_library config_component_library DLLEXPORT = 
+const component_library config_component_library =
 {
   COMPONENT_LIBRARY_MAGIC,
   & compConfigListTypes, 
diff -urbB src/sid/component/cgen-cpu/compCGEN.cxx sid-20060218/sid/component/cgen-cpu/compCGEN.cxx
--- src/sid/component/cgen-cpu/compCGEN.cxx	2005-12-16 18:23:12.000000000 +0800
+++ sid-20060218/sid/component/cgen-cpu/compCGEN.cxx	2006-02-22 10:34:51.035672200 +0800
@@ -328,9 +328,9 @@
 
 
 // static object
-extern const component_library cgen_component_library;
+DLLEXPORT extern const component_library cgen_component_library;
 
-const component_library cgen_component_library DLLEXPORT = 
+const component_library cgen_component_library =
 {
   COMPONENT_LIBRARY_MAGIC,
   & compCGENListTypes, 
diff -urbB src/sid/component/consoles/components.cxx sid-20060218/sid/component/consoles/components.cxx
--- src/sid/component/consoles/components.cxx	2003-06-11 02:28:19.000000000 +0800
+++ sid-20060218/sid/component/consoles/components.cxx	2006-02-22 10:26:14.086873600 +0800
@@ -53,8 +53,8 @@
 } // end of namespace console_stuff
 
 
-extern const sid::component_library console_component_library;
-const sid::component_library console_component_library DLLEXPORT =
+DLLEXPORT extern const sid::component_library console_component_library;
+const sid::component_library console_component_library =
 {
   sid::COMPONENT_LIBRARY_MAGIC,
   & console_stuff::compConsoleListTypes,
diff -urbB src/sid/component/gdb/gdb.cxx sid-20060218/sid/component/gdb/gdb.cxx
--- src/sid/component/gdb/gdb.cxx	2005-11-15 04:04:53.000000000 +0800
+++ sid-20060218/sid/component/gdb/gdb.cxx	2006-02-22 10:34:51.082510000 +0800
@@ -1964,9 +1964,9 @@
 }
 
 // static object
-extern const component_library gdb_component_library;
+DLLEXPORT extern const component_library gdb_component_library;
 
-const component_library gdb_component_library DLLEXPORT = {
+const component_library gdb_component_library = {
   COMPONENT_LIBRARY_MAGIC,
   & gdb_list_types, 
   & gdb_create,
diff -urbB src/sid/component/gloss/compGloss.cxx sid-20060218/sid/component/gloss/compGloss.cxx
--- src/sid/component/gloss/compGloss.cxx	2000-12-08 03:30:50.000000000 +0800
+++ sid-20060218/sid/component/gloss/compGloss.cxx	2006-02-22 10:34:51.129347800 +0800
@@ -89,9 +89,9 @@
 
 
 // static object
-extern const component_library gloss_component_library;
+DLLEXPORT extern const component_library gloss_component_library;
 
-const component_library gloss_component_library DLLEXPORT = 
+const component_library gloss_component_library =
 {
   COMPONENT_LIBRARY_MAGIC,
   & compGlossListTypes, 
diff -urbB src/sid/component/glue/glue.cxx sid-20060218/sid/component/glue/glue.cxx
--- src/sid/component/glue/glue.cxx	2004-08-06 22:17:24.000000000 +0800
+++ sid-20060218/sid/component/glue/glue.cxx	2006-02-22 12:49:17.043946600 +0800
@@ -795,9 +795,9 @@
 
 
 // static object in root namespace
-extern const sid::component_library glue_component_library;
+DLLEXPORT extern const sid::component_library glue_component_library;
 
-const sid::component_library glue_component_library DLLEXPORT = 
+const sid::component_library glue_component_library =
 {
   sid::COMPONENT_LIBRARY_MAGIC,
   & glue_components::list_types, 
diff -urbB src/sid/component/ide/compIDE.cxx sid-20060218/sid/component/ide/compIDE.cxx
--- src/sid/component/ide/compIDE.cxx	2002-03-05 07:54:55.000000000 +0800
+++ sid-20060218/sid/component/ide/compIDE.cxx	2006-02-22 10:34:51.254248600 +0800
@@ -1163,9 +1163,9 @@
 
 
 // static object
-extern const component_library ide_component_library;
+DLLEXPORT extern const component_library ide_component_library;
 
-const component_library ide_component_library DLLEXPORT = 
+const component_library ide_component_library =
 {
   COMPONENT_LIBRARY_MAGIC,
   & compIdeListTypes, 
diff -urbB src/sid/component/interrupt/components.cxx sid-20060218/sid/component/interrupt/components.cxx
--- src/sid/component/interrupt/components.cxx	2002-11-23 04:34:59.000000000 +0800
+++ sid-20060218/sid/component/interrupt/components.cxx	2006-02-22 10:34:51.285473800 +0800
@@ -47,9 +47,9 @@
 #endif
 }
 
-extern const component_library interrupt_component_library;
+DLLEXPORT extern const component_library interrupt_component_library;
 
-const component_library interrupt_component_library DLLEXPORT =
+const component_library interrupt_component_library =
 {
   COMPONENT_LIBRARY_MAGIC,
   &compInterruptListTypes,
diff -urbB src/sid/component/lcd/HD44780U.cxx sid-20060218/sid/component/lcd/HD44780U.cxx
--- src/sid/component/lcd/HD44780U.cxx	2001-08-03 14:02:44.000000000 +0800
+++ sid-20060218/sid/component/lcd/HD44780U.cxx	2006-02-22 10:34:51.332311600 +0800
@@ -645,9 +645,9 @@
 }
 
 // static object
-extern const component_library hd44780u_component_library;
+DLLEXPORT extern const component_library hd44780u_component_library;
 
-const component_library hd44780u_component_library DLLEXPORT = 
+const component_library hd44780u_component_library =
 {
   COMPONENT_LIBRARY_MAGIC,
   & HD44780U_ListTypes, 
diff -urbB src/sid/component/lcd/T6963C.cxx sid-20060218/sid/component/lcd/T6963C.cxx
--- src/sid/component/lcd/T6963C.cxx	2001-08-03 14:02:44.000000000 +0800
+++ sid-20060218/sid/component/lcd/T6963C.cxx	2006-02-22 10:34:51.425987200 +0800
@@ -927,9 +927,9 @@
 
 
 // static object
-extern const component_library t6963c_component_library;
+DLLEXPORT extern const component_library t6963c_component_library;
 
-const component_library t6963c_component_library DLLEXPORT = 
+const component_library t6963c_component_library =
 {
   COMPONENT_LIBRARY_MAGIC,
   & T6963C_ListTypes, 
diff -urbB src/sid/component/lcd/lcd-char-display.cxx sid-20060218/sid/component/lcd/lcd-char-display.cxx
--- src/sid/component/lcd/lcd-char-display.cxx	2003-10-24 02:16:32.000000000 +0800
+++ sid-20060218/sid/component/lcd/lcd-char-display.cxx	2006-02-22 10:34:51.379149400 +0800
@@ -211,9 +211,9 @@
 }
 
 // static object
-extern const component_library lcd_char_display_component_library;
+DLLEXPORT extern const component_library lcd_char_display_component_library;
 
-const component_library lcd_char_display_component_library DLLEXPORT = 
+const component_library lcd_char_display_component_library =
 {
   COMPONENT_LIBRARY_MAGIC,
   & DevicesListTypes, 
diff -urbB src/sid/component/lcd/testsuite/hd-5X10.cxx sid-20060218/sid/component/lcd/testsuite/hd-5X10.cxx
--- src/sid/component/lcd/testsuite/hd-5X10.cxx	2000-12-08 03:30:54.000000000 +0800
+++ sid-20060218/sid/component/lcd/testsuite/hd-5X10.cxx	2006-02-22 10:34:51.472825000 +0800
@@ -131,9 +131,9 @@
 
 
 // static object
-extern const component_library hd5X10_tester_component_library;
+DLLEXPORT extern const component_library hd5X10_tester_component_library;
 
-const component_library hd5X10_tester_component_library DLLEXPORT = 
+const component_library hd5X10_tester_component_library =
 {
   COMPONENT_LIBRARY_MAGIC,
   & HD44780UTesterListTypes, 
diff -urbB src/sid/component/lcd/testsuite/hd-europe.cxx sid-20060218/sid/component/lcd/testsuite/hd-europe.cxx
--- src/sid/component/lcd/testsuite/hd-europe.cxx	2000-12-08 03:30:54.000000000 +0800
+++ sid-20060218/sid/component/lcd/testsuite/hd-europe.cxx	2006-02-22 10:34:51.519662800 +0800
@@ -122,9 +122,9 @@
 
 
 // static object
-extern const component_library hd2l_tester_component_library;
+DLLEXPORT extern const component_library hd2l_tester_component_library;
 
-const component_library hd2l_tester_component_library DLLEXPORT = 
+const component_library hd2l_tester_component_library =
 {
   COMPONENT_LIBRARY_MAGIC,
   & HD44780UTesterListTypes, 
diff -urbB src/sid/component/lcd/testsuite/hd-one-line.cxx sid-20060218/sid/component/lcd/testsuite/hd-one-line.cxx
--- src/sid/component/lcd/testsuite/hd-one-line.cxx	2000-12-08 03:30:54.000000000 +0800
+++ sid-20060218/sid/component/lcd/testsuite/hd-one-line.cxx	2006-02-22 10:34:51.566500600 +0800
@@ -88,9 +88,9 @@
 
 
 // static object
-extern const component_library hd1l_tester_component_library;
+DLLEXPORT extern const component_library hd1l_tester_component_library;
 
-const component_library hd1l_tester_component_library DLLEXPORT = 
+const component_library hd1l_tester_component_library =
 {
   COMPONENT_LIBRARY_MAGIC,
   & HD44780UTesterListTypes, 
diff -urbB src/sid/component/lcd/testsuite/hd-two-line.cxx sid-20060218/sid/component/lcd/testsuite/hd-two-line.cxx
--- src/sid/component/lcd/testsuite/hd-two-line.cxx	2000-12-08 03:30:54.000000000 +0800
+++ sid-20060218/sid/component/lcd/testsuite/hd-two-line.cxx	2006-02-22 10:34:51.613338400 +0800
@@ -230,9 +230,9 @@
 
 
 // static object
-extern const component_library hd2l_tester_component_library;
+DLLEXPORT extern const component_library hd2l_tester_component_library;
 
-const component_library hd2l_tester_component_library DLLEXPORT = 
+const component_library hd2l_tester_component_library =
 {
   COMPONENT_LIBRARY_MAGIC,
   & HD44780UTesterListTypes, 
diff -urbB src/sid/component/lcd/testsuite/t6963c-japan.cxx sid-20060218/sid/component/lcd/testsuite/t6963c-japan.cxx
--- src/sid/component/lcd/testsuite/t6963c-japan.cxx	2000-12-08 03:30:54.000000000 +0800
+++ sid-20060218/sid/component/lcd/testsuite/t6963c-japan.cxx	2006-02-22 10:34:51.660176200 +0800
@@ -414,9 +414,9 @@
 
 
 // static object
-extern const component_library t6963c_tester_component_library;
+DLLEXPORT extern const component_library t6963c_tester_component_library;
 
-const component_library t6963c_tester_component_library DLLEXPORT = 
+const component_library t6963c_tester_component_library =
 {
   COMPONENT_LIBRARY_MAGIC,
   & T6963CTesterListTypes, 
diff -urbB src/sid/component/lcd/testsuite/t6963c-tester.cxx sid-20060218/sid/component/lcd/testsuite/t6963c-tester.cxx
--- src/sid/component/lcd/testsuite/t6963c-tester.cxx	2000-12-08 03:30:54.000000000 +0800
+++ sid-20060218/sid/component/lcd/testsuite/t6963c-tester.cxx	2006-02-22 10:34:51.707014000 +0800
@@ -596,9 +596,9 @@
 
 
 // static object
-extern const component_library t6963c_tester_component_library;
+DLLEXPORT extern const component_library t6963c_tester_component_library;
 
-const component_library t6963c_tester_component_library DLLEXPORT = 
+const component_library t6963c_tester_component_library =
 {
   COMPONENT_LIBRARY_MAGIC,
   & T6963CTesterListTypes, 
diff -urbB src/sid/component/loader/compLoader.cxx sid-20060218/sid/component/loader/compLoader.cxx
--- src/sid/component/loader/compLoader.cxx	2005-08-20 03:45:22.000000000 +0800
+++ sid-20060218/sid/component/loader/compLoader.cxx	2006-02-22 10:34:51.753851800 +0800
@@ -487,9 +487,9 @@
 }
 
 // static object
-extern const component_library loader_component_library;
+DLLEXPORT extern const component_library loader_component_library;
 
-const component_library loader_component_library DLLEXPORT = 
+const component_library loader_component_library =
 {
   COMPONENT_LIBRARY_MAGIC,
   & compLoaderListTypes, 
diff -urbB src/sid/component/mapper/compMapper.cxx sid-20060218/sid/component/mapper/compMapper.cxx
--- src/sid/component/mapper/compMapper.cxx	2005-02-13 00:25:46.000000000 +0800
+++ sid-20060218/sid/component/mapper/compMapper.cxx	2006-02-22 10:34:51.800689600 +0800
@@ -1010,9 +1010,9 @@
 
 
 // static object
-extern const component_library mapper_component_library;
+DLLEXPORT extern const component_library mapper_component_library;
 
-const component_library mapper_component_library DLLEXPORT = 
+const component_library mapper_component_library =
 {
   COMPONENT_LIBRARY_MAGIC,
   & compMapperListTypes, 
diff -urbB src/sid/component/mapper/testsuite/busif.cxx sid-20060218/sid/component/mapper/testsuite/busif.cxx
--- src/sid/component/mapper/testsuite/busif.cxx	2001-08-03 14:02:46.000000000 +0800
+++ sid-20060218/sid/component/mapper/testsuite/busif.cxx	2006-02-22 10:34:51.878752600 +0800
@@ -138,9 +138,9 @@
 }
 
 // static object
-extern const component_library busif_component_library;
+DLLEXPORT extern const component_library busif_component_library;
 
-const component_library busif_component_library DLLEXPORT = 
+const component_library busif_component_library =
 {
   COMPONENT_LIBRARY_MAGIC,
   & BusifListTypes, 
diff -urbB src/sid/component/memory/components.cxx sid-20060218/sid/component/memory/components.cxx
--- src/sid/component/memory/components.cxx	2000-12-08 03:30:55.000000000 +0800
+++ sid-20060218/sid/component/memory/components.cxx	2006-02-22 10:34:51.925590400 +0800
@@ -108,9 +108,9 @@
 
 
 // static object
-extern const component_library mem_component_library;
+DLLEXPORT extern const component_library mem_component_library;
 
-const component_library mem_component_library DLLEXPORT = 
+const component_library mem_component_library =
 {
   COMPONENT_LIBRARY_MAGIC,
   & compMemoryListTypes, 
diff -urbB src/sid/component/mmu/armRemap.cxx sid-20060218/sid/component/mmu/armRemap.cxx
--- src/sid/component/mmu/armRemap.cxx	2002-11-12 06:28:28.000000000 +0800
+++ sid-20060218/sid/component/mmu/armRemap.cxx	2006-02-22 10:34:51.988040800 +0800
@@ -711,8 +711,6 @@
 #endif // SIDTARGET_ARM
 
 
-extern const component_library mmu_component_library;
-
 static vector<string>
 compMmuListTypes()
 {
@@ -742,7 +740,9 @@
 }
 
 
-const component_library mmu_component_library DLLEXPORT =
+DLLEXPORT extern const component_library mmu_component_library;
+
+const component_library mmu_component_library =
 {
   COMPONENT_LIBRARY_MAGIC,
   &compMmuListTypes,
diff -urbB src/sid/component/parport/ps2.cxx sid-20060218/sid/component/parport/ps2.cxx
--- src/sid/component/parport/ps2.cxx	2002-11-23 04:34:59.000000000 +0800
+++ sid-20060218/sid/component/parport/ps2.cxx	2006-02-22 10:37:42.337119400 +0800
@@ -1390,9 +1390,9 @@
 
 
 // static object
-extern const component_library parport_component_library;
+DLLEXPORT extern const component_library parport_component_library;
 
-const component_library parport_component_library DLLEXPORT = 
+const component_library parport_component_library =
 {
   COMPONENT_LIBRARY_MAGIC,
   & ParPortListTypes, 
diff -urbB src/sid/component/profiling/gprof.cxx sid-20060218/sid/component/profiling/gprof.cxx
--- src/sid/component/profiling/gprof.cxx	2005-08-24 05:08:35.000000000 +0800
+++ sid-20060218/sid/component/profiling/gprof.cxx	2006-02-22 10:37:42.399569800 +0800
@@ -631,9 +631,9 @@
 
 
 // static object in root namespace
-extern const sid::component_library prof_component_library;
+DLLEXPORT extern const sid::component_library prof_component_library;
 
-const sid::component_library prof_component_library DLLEXPORT = 
+const sid::component_library prof_component_library =
 {
   sid::COMPONENT_LIBRARY_MAGIC,
   & profiling_components::list_types, 
diff -urbB src/sid/component/rtc/components.cxx sid-20060218/sid/component/rtc/components.cxx
--- src/sid/component/rtc/components.cxx	2000-12-08 03:30:56.000000000 +0800
+++ sid-20060218/sid/component/rtc/components.cxx	2006-02-22 10:37:42.430795000 +0800
@@ -45,9 +45,9 @@
 
 
 // static object
-extern const component_library rtc_component_library;
+DLLEXPORT extern const component_library rtc_component_library;
 
-const component_library rtc_component_library DLLEXPORT =
+const component_library rtc_component_library =
 {
   COMPONENT_LIBRARY_MAGIC,
   & rtcListTypes,
diff -urbB src/sid/component/sched/compSched.cxx sid-20060218/sid/component/sched/compSched.cxx
--- src/sid/component/sched/compSched.cxx	2005-08-24 05:08:53.000000000 +0800
+++ sid-20060218/sid/component/sched/compSched.cxx	2006-02-22 10:37:42.493245400 +0800
@@ -1633,9 +1633,9 @@
 
 
 // static object in root namespace
-extern const sid::component_library sched_component_library;
+DLLEXPORT extern const sid::component_library sched_component_library;
 
-const sid::component_library sched_component_library DLLEXPORT = 
+const sid::component_library sched_component_library =
 {
   sid::COMPONENT_LIBRARY_MAGIC,
   & scheduler_component::list_types, 
diff -urbB src/sid/component/tcl/compTcl.cxx sid-20060218/sid/component/tcl/compTcl.cxx
--- src/sid/component/tcl/compTcl.cxx	2005-08-20 03:46:38.000000000 +0800
+++ sid-20060218/sid/component/tcl/compTcl.cxx	2006-02-22 10:37:42.555695800 +0800
@@ -2315,9 +2315,9 @@
 
 
 // static object
-extern const sid::component_library tcl_bridge_library;
+DLLEXPORT extern const sid::component_library tcl_bridge_library;
 
-const sid::component_library tcl_bridge_library DLLEXPORT = 
+const sid::component_library tcl_bridge_library =
 {
   sid::COMPONENT_LIBRARY_MAGIC,
   & tcl_api_component::list_types, 
diff -urbB src/sid/component/timers/compTIMERS.cxx sid-20060218/sid/component/timers/compTIMERS.cxx
--- src/sid/component/timers/compTIMERS.cxx	2000-12-08 03:31:05.000000000 +0800
+++ sid-20060218/sid/component/timers/compTIMERS.cxx	2006-02-22 10:36:50.019296800 +0800
@@ -21,8 +21,6 @@
 #endif
 
  
-extern const component_library timer_component_library;
-
 static vector<string>
 compTimerListTypes()
 {
@@ -58,7 +56,9 @@
 }
 
 
-const component_library timer_component_library DLLEXPORT =
+DLLEXPORT extern const component_library timer_component_library;
+
+const component_library timer_component_library =
 {
   COMPONENT_LIBRARY_MAGIC,
   &compTimerListTypes,
diff -urbB src/sid/component/uart/Uart.cxx sid-20060218/sid/component/uart/Uart.cxx
--- src/sid/component/uart/Uart.cxx	2001-08-03 14:02:48.000000000 +0800
+++ sid-20060218/sid/component/uart/Uart.cxx	2006-02-22 10:37:42.618146200 +0800
@@ -1458,9 +1458,9 @@
 
 
 // static object
-extern const component_library uart_component_library;
+DLLEXPORT extern const component_library uart_component_library;
 
-const component_library uart_component_library DLLEXPORT = 
+const component_library uart_component_library =
 {
   COMPONENT_LIBRARY_MAGIC,
   & UartListTypes, 
diff -urbB src/sid/component/uart/testsuite/Devices.cxx sid-20060218/sid/component/uart/testsuite/Devices.cxx
--- src/sid/component/uart/testsuite/Devices.cxx	2000-12-08 03:31:07.000000000 +0800
+++ sid-20060218/sid/component/uart/testsuite/Devices.cxx	2006-02-22 10:37:42.664984000 +0800
@@ -270,9 +270,9 @@
 
 
 // static object
-extern const component_library devices_component_library;
+DLLEXPORT extern const component_library devices_component_library;
 
-const component_library devices_component_library DLLEXPORT = 
+const component_library devices_component_library =
 {
   COMPONENT_LIBRARY_MAGIC,
   & DevicesListTypes, 
diff -urbB src/sid/doc/cdk-guide/book-cdk.sgml sid-20060218/sid/doc/cdk-guide/book-cdk.sgml
--- src/sid/doc/cdk-guide/book-cdk.sgml	2001-11-28 06:59:13.000000000 +0800
+++ sid-20060218/sid/doc/cdk-guide/book-cdk.sgml	2006-02-22 10:37:42.774272200 +0800
@@ -2545,9 +2545,9 @@
 // This symbol is used by the library loader to validate the library
 // and instantiate components of the types supported by this library.
 
-extern const sid::component_library example_component_library;
+DLLEXPORT extern const sid::component_library example_component_library;
 
-const sid::component_library example_component_library DLLEXPORT =
+const sid::component_library example_component_library =
 {
   sid::COMPONENT_LIBRARY_MAGIC,
   &amp; timer_example::TimerListTypes,
diff -urbB src/sid/samples/timer.cxx sid-20060218/sid/samples/timer.cxx
--- src/sid/samples/timer.cxx	2001-08-03 14:02:48.000000000 +0800
+++ sid-20060218/sid/samples/timer.cxx	2006-02-22 10:37:42.836722600 +0800
@@ -664,9 +664,9 @@
 // This symbol is used by the library loader to validate the library
 // and instantiate components of the types supported by this library.
 
-extern const sid::component_library example_component_library;
+DLLEXPORT extern const sid::component_library example_component_library;
 
-const sid::component_library example_component_library DLLEXPORT =
+const sid::component_library example_component_library =
 {
   sid::COMPONENT_LIBRARY_MAGIC,
   &timer_example::TimerListTypes,
